@import 'src/app/shared_variables.scss';

* {
    overflow: auto;
}

.container {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: $background_color;

    #loading_icon {
        flex: 1;
        width: 10%;
        right: 40%;
        position: absolute;
        top: 50%;
        left: 50%;
        transform:translate(-50%, -50%);
        color: rgb(255, 255, 255);
    }

    #errorMsg {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translateX(-50%);
        color: red;
    }

    .movies_container {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(auto-fill, 225px);
        grid-auto-rows: 390px;
        justify-content: space-evenly;
        align-items: center;
        justify-items: center;
        align-self: center;
        gap: 20px 10px;
        padding: 50px;
        color: white;

        .movie {
            width: 225px;
            display: flex;
            flex-direction: column;
            overflow: hidden;
            background-color: $main_color;

            .movie_image {
                width: 100%;
                height: 300px;
                padding: 15px 15px 0 15px;
                object-fit: fill;
            }

            .movie_info {
                height: 90px;
                position: relative;
                overflow: visible; 
                display: flex;
                align-items: center;
                justify-content: center;

                .movie_title {
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    -webkit-line-clamp: 2;
                    text-overflow: ellipsis;
                    overflow: hidden;
                    line-height: 1.5rem;
                    padding: 0 0.7rem;
                    text-align: center;
                    font-family: 'Poppins', sans-serif;
                }

                .user_rate {
                    position: absolute;
                    top: -1.1rem;
                    left: 50%;
                    transform: translateX(-50%);
                    padding: 0.5rem 1.5rem;
                    background-color: $main_color;
                    text-shadow: black 0.15em 0.15em 0.3em;
                    font-family: Arial, Helvetica, sans-serif;
                    z-index: 1;
                    font-size: 0.9rem;
                    border-radius: 3rem;
                    font-weight: bold;
                }
            }
        }
    }
}